pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 2


interface RegistryClient {
	function registryCount() external view returns (uint256);
	function addressOf(bytes32) external view returns (address);
	function entry(uint256) external view returns (address);
}
